[API Reference](../README.md) > [IEventSubscription](../interfaces/IEventSubscription.md)



# Interface: IEventSubscription

## Implemented by

* [EventSubscription](../classes/EventSubscription.md)
* [SubscriptionCollection](../classes/SubscriptionCollection.md)
* [Web3EventSubscription](../classes/Web3EventSubscription.md)


## Methods
<a id="unsubscribe"></a>

###  unsubscribe

► **unsubscribe**(): `void`



*Defined in [pubSubEventService.ts:179](https://github.com/daostack/arc.js/blob/f779630e/lib/pubSubEventService.ts#L179)*





**Returns:** `void`





___


